error with defender plugin

Got this error with defender plugin:

Warning: mktime() expects parameter 1 to be long, string given in /home/bonplanla/public_html/wp-content/plugins/wp-defender/app/module/scan-module/component/class-wd-scan-api.php on line 155

Warning: mktime() expects parameter 1 to be long, string given in /home/bonplanla/public_html/wp-content/plugins/wp-defender/app/module/scan-module/component/class-wd-scan-api.php on line 155

Warning: Cannot modify header information - headers already sent by (output started at /home/bonplanla/public_html/wp-content/plugins/wp-defender/app/module/scan-module/component/class-wd-scan-api.php:155) in /home/bonplanla/public_html/wp-includes/pluggable.php on line 1167

  • Nastia

    Hello Quang Duc TA

    I hope you are doing well today!

    Would you please let me know, these warnings start showing once you activated the plugin? Or the plugin was activated, and they appeared when you updated some of your plugins?

    I can't replicate these warnings on my installation. Would you please run a quick check for a conflict with another plugin or theme.

    Deactivate all other plugins and test if the warning still there. If everything is well, activate one plugin at a time to find the one that causes this.

    Follow the flowchart from our Getting Support manual:
    https://premium.wpmudev.org/manuals/using-wpmu-dev/getting-support/

    Because warnings doesn't always affect the WordPress function, you can hide them by changing the line below in your wp-config.php file. First, please make sure that everything is funsctioning as it should be and then change this line:

    define( 'WP_DEBUG', true );

    To this:

    define( 'WP_DEBUG', true );

    Let us know if you find a conflict with another plugin.

    Kind Regards,
    Nastia

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.